关注尊宝娱乐网微博:腾讯微博[微尊宝娱乐] 新浪微博[尊宝娱乐网]
共建共享,上传资料 GO>>>
您的位置:首页 > 论文 > 其他相关

CAD绘图技巧

分享到:



发表时间:2005-06-08 00:00  来源:尊宝娱乐尊宝娱乐网  作者:wnb  浏览量:

绘图技巧如何画椭圆弧 画椭圆弧的关键是先画一个完整的椭圆,然后移动光标删除椭圆的一部分。留下需要的椭圆弧。
首先,键入ELLIPSE 或选择Ellipse图标。
选项如下: Arc/Center/<Axis Endpointl>:
键入:Arc<回车>
用任意方法画一个椭圆。然后提示输入所需弧段信息:
响应:Parameter/<start angle>
键入:0或选定屏幕上代表角度起点的点。
始角(start angle)定义为弧的始点。
响应:Parameter/Included/<end angle>
选定定义弧长的终角(end angle)。也可以键入I,然后键入包角。包角自始角开始量度,不是从0开始 如何画一条平滑曲线 尽管圆弧是一条曲线,但经常要画平滑曲线,又不与圆弧的圆心和半径相适应。可按如下方法。
先在要画平滑曲线的方向上画一条多义线。然后选取尽可参多的点,这些点就是曲线上的顶点。然后键入PEDIT,选取该多义线。
现有两种选择:FITSPLINEFIT
子命令将保证曲线经过每一个顶点,而SPLINE子命令将产生更平滑的曲线,因为曲线并不一定通过顶点。如果需要使一条曲线变直,可在PEDIT中对FITSPLINE曲线使用DECURVE子命令。
在本书的中级章节中将讲述使用SPLINE命令或SPLINEDIT的更成熟的方法。
键入PLINE并画多个线段,随机地选取一些点。例如画五、六个点。
键入:PEDIT<回车>(或从Modify工具栏中选择。)
响应:Select polyline
在多义线上选取任一点。
响应:Close/Join/Width/Edit vertex/Fit curve/Splinecurve/Decurve/Undo/eXit<X>:
键入:F<回车>
     Fit
曲线产生曲线模式。
响应: Close/Join/Width/Edit vertex/Fit curve/Splinecurve/Decurve/Undo/eXit<X>:
 
键入:S<回车>
    Spline
曲线产生曲线模式。
键入:<回车>
 
这将终止PEDIT命令  如何画多边形    画多边形总是可以用普通线或多义线来画,但AutoCAD有一个POLYGON命令。当键入POLYGON时,首先要求输入边数,接下去选择中心或边长。如果选取一点,则被认为是中心。还有两个额外选项:对于一个虚圆,多边形可以是内接的,也可以是外切的。
  如果选择边长而不是中心,则须输入多边形边的起点和终点。然后多边形逆时针构造。
  
键入:POLYGON<回车>(或从Draw工具栏中选择。)
 
响应:Number of sides:
键入:5<回车>
响应:Edge/<Center of polygon>:
  
选取一点。
响 应:Inscribed in circle/Circumscribed aboutcircle(I/C):
 
键入:I<回车>
 
响应:Radius of circle:
 
选取一点或键入多边形圆心到圆的半径。
  
这样构造多边形有一点值得注意:这些多边形都可以看成独立的、封闭的多义线。AutoCAD并不管它们最初是如何建立的。如果打散一个多边形,它就会成为独立的线。 如何以等轴方式画图    R10开始,以等轴方式画图通常并不是画等结构的首选方法。尽管AutoCAD有等轴功能,但如果是R10或更高版本,则将使用3D功能构造模型,然后键入DVIEW或VPOINTS以等轴方式观察设计。
  AutoCAD的等轴功能以SNAP命令访问,其子选项Style控制等轴方式,在此选项下可选择标准方式或等轴方式。一旦进入等轴方式,Ctrl+E将激活顶面、右面或左面。一经获取正确的平面,即可画对象了。
   3D功能和等轴捕捉方式的差别是3D产生的真实尺寸的模型,而等轴捕捉方式扭曲了实体,其实实体并不是看到的样子。                                                                   
 
平滑的技巧
这是一条使用SKETCH命令技巧。如果画一条非常平滑的曲线,可键入SKETCH描画曲面的轮廓,这样会产生比想预想的手画更多的顶点。画完后,再用PEDITSKETCH对象转换成单个多义线,即把第一个对象转换成多义线,然后用窗口罩住曲线,将它与其他对象联接起来。线转换并联接后即可键入SPLINE或FIT CURVE平滑它们。
   警告:尽量少用SKETCH,它的存储量太大。 编辑技巧如何恢复一个已被删除的对象 恢复一个已被删除的对象的最容易也最有效的方法是用OOPS命令,该命令将最近删除的选择集合恢复过来。注意,OOPS恢复的是整个选择集合,而不仅是最后一个删除的对象。另外,OOPS仅恢复最后删除的组,如果想恢复更多的步骤,OOPS是做不到的。
如果需要恢复多外选择集合中的对象,可以用UNDO命令,但是,这样做会带来一些其他的风险,比如图中画好的一些内容可能会改变。使用UNDO命令的唯一问题是,虽然可以撤销过去发出的任意多外命令,但是,如果撤销的都ERASE命令,则UNDO的结果是正常的,而如果在撤销的ERASE命令,则UNDO的结果是正常的,而如果在撤销的ERASE命令之间有其他的命令,那么就会有丢失这些命令的结果。  如何把多个对象排列成圆环形 在早期的AutoCAD版本中,该命令叫做Circular ARRAY,而现在成为Polar ARRAY。键入ARRAY,然后选择对象并确认后,将被问及选择矩形阵列还是极地形阵列键入P则为极地形阵列,然后选择该阵列的中心点,对象会围绕该中心生成阵列。然后,又会被问及三个问题:(1)阵列中的项数;(2)填充角度;(3)阵列中各项之间的角度。必须回答其中任意两个问题。
首先看看第一个问题一阵列中的项数。 AutoCAD需要知道完成的阵列中有多少项(包括复制的那一个)。如果不想回答这个问题,按回车或空格键。
下一个问题是填充角度,也就是想让对象围绕着圆排列多远。输入正数则按顺时针排列,输入负数则按逆时针排列,按回车键则表示缺省值360度。AutoCAD知道用阵列中的项数填充360度必需的距离。如果不想回答这个问题,输入0表示填充角为0。第三个问题是阵列中各项间的角度。如果输入正数,阵列按顺时针排列;输入负数则按逆时针排列。
AutoCAD测量从阵列的中心点到由该对象结构所决定的一个任意的参照点之间的距离。
最后的选项是当复制对象时,它们是否旋转。输入Y表示旋转,N表示不旋转。
键入:ARRAY<回车>(或从Modify工具栏选。)
响应:Select Objects:
选择要复制的对象,并确认。
响应:Rectangular or Polar array(R/P)
键入:P<回车>
响应:Center point of array:
拾取阵列转绕其旋转的中心点。
响应:Number of items:
键入:10<回车>
响应:Angle to fill (+=ccw,-=cw)<360>:
键入:<回车>
响应:Rotate objects as they are copied?<Y>:
键入:<回车>
围绕着中心点生成10个旋转对象。如何把两条线合并成一个对象 首先假定这两条线或一组线不是多义线,而是直线或弧一类的普通对象。键入PEDIT,当被问及选择一条多义线时,选择想要合并的多义线之中的一个对象,然后被告知该对象不是一条多义线,并询问是否将它改为多义线,键入Y表示肯定。
接下从诸多标准选项中选择JoinAutoCAD要求你选择要合并的对象,可以一个一个地选取对象,也可以通过开窗或开交叉窗来选择要合并的对象。如果在一组对象中有打断的对象,则它们就不能合并。
键入:PEDIT<回车>(或从Modify工具栏选)
响应:Select Polyline:
选择一个对象。
响应:Object selct is not a polyline.Do you want it toturn into one?
键入:Y<回车>
响应:Close/Join/Width/Edit vertex/Fit curve/Spline
urve/Decurve/Undo/eXit<X>:
键入:J<回车>
响应:Select objects:
通过开窗或开交叉窗选择所要合并的所有对象,并确认。按回车键可以退出PEDIT命令。如何使对象放大或缩小 SCALE命令可改变对象的大小。首先,键入SCALE,当出现提示符时,选择要调节的对象。然后在该对象的任何一个位置上选择一个基冷点,如果选择了比例因子,对象的缩小,就用小于1的因子,比如0.5,这样,对象就缩小了一倍。
选项Reference是最有趣的一个先项。如果选择Reference,可以在一个新的长度之后,输入任意长度。
例如,如果把一个对象放大百分之三百,可以输入比例因子3。但是如果要把长度人2.79改为4怎么办呢?可以用计算器算一下,然而用Reference选项容易得多。参照长度2.97是旧的长度,4是新长度。AutoCAD能够自动地调整比例因子。
请记住,SCALE命令将真正永久地改变对象的大小,所以,当在一幅图中用不同的比例画多个对象时,这个命令最合适。换句话说,如果只是在输出到绘图机时再用不同的比例,那么最好在PLOT命令中用Scale选项。
键入:SCALE<回车>(或从Modify工具栏选)
响应:Select objects:
选择要调整大小的对象。
响应:Base point:
在对象选择一个点。
响应:<Scale factor>/Reference:
键入:25<回车>
该对象被缩小为原来的四分之一。
通过Grips对话框可以用Grips改变对象的大小。键入DDGRIPS或从Options下拉菜单选择Grips…可以显示该对话框。如何把对象移到另一层 CHANGE命令的Properties选项可以改变对象的层。Properties中有一个选项Layer就是用来改变层的。当输入了层名并确认之后,对象就被改变到新层之中。
通常当对象从一层移到另一层时,希望它的颜色也随之改变,但是,结果却不是确定的,因为这取决于当初在画对象时,它的颜色是与所在层相同,还是自行确定。如果对象的颜色没有改变,可以用CHANGE命令的Properties改变颜色,当问及颜色时,键入BYLAYER,对象就会改变为该层的颜色。
键入:CHANGE<回车>(或从Modify工具栏选)
响应:Select objects:
选择要改变的对象。
响应:Properties/<Change ponit>:
键入:P<回车>
响应:Change what property (Color/Elev/Layer/Thickness)?
键入:LA<回车>
响应:New layer:
键入:LAYER3<回车>
键入:<回车>(这时结束CHANGE命令。)使用相对位移的COPYMOVE命令 在使用COPYMOVE命令时,有一种方便快捷的方法复制或移动对象,这就是使用相对位移,而不心先给一个基准点,另外再给出位移。假定要把一个对象向右移动4厘米,向上称动2厘米:
键入:MOVE<回车>(或从Modify
工具栏选)
响应:Select objects:
选择对象并确认。
响应:Base point or displacement:
键入:42<回车>。(注意,这是位移)
响应:Second point of displacement:
键入:<回车>
当在第二点按回车时,AutoCAD把第一点当作相对位移来处理,而不把它当作绝对坐标。FILLET命令可能使人费解 对于AutoCAD的初学者,FILLET命令使人有些费解。当输入了R并且给出半径后,似乎什么也没有改变。实际上,当再次使用FILLET命令时,才会发生变化。按回车键或空格键可以重复FILLET命令,然后可以选取两条线。
因为AutoCAD试图用FILLET命令处理所有的圆角选项,所以FILLET命令变得更复杂了。有关这些复杂性的问题将在本书的中级编辑章节里讨论。                                                                    MEASUREDIVIDE命令 MEASUREDIVIDE都是用于把线打断的命令只不过是由用户决定按什么方式分割线。 MEASURE命令从始点等距地布了无穷多个点。DIVIDE命令则把线分割成无穷多个相等的部分。这些命令都是沿着线布点,如果能看见这些点,就能捕捉它们。
用系统变量PDMODEPDSIZE可以给出布放点的形状和大小。PDMODE设置点的形状,PDSIZE设置大小。如何改变样条曲线的切线 键入SPLINEDIT命令或点按Edit Spline图标。
Edit Spline
图标,位于Modify工具栏的PolylineEdit 弹出栏。
响应:Select spline:
Fit Data/Close/Move Vertex/Refine/rEverse/Undo/eXit<X>:
如果是第一次编辑样条曲线,且还不曾用过Refine选项,就会得到上述选项。一旦Close
Open了样条曲线,或者用了任意一个Refine选项,就不能再用Fit Data选项。   首先,必须确保所有的点位于样条曲线上,键入F选择Fit Data 就可以做到。
响应:Add/Close/Delete/Move/Purge/Tangents/toLerance/eXit<X>:
键入:T<回车>
现在可以选择一个新切点的起点,然后再选择一个新的切点的终点。如果希望原有的切点保持不就,只要按回车键即可。如何快速在整个样条曲线上增加多个顶点 键入SPLINEDIT命令或点按Edit Spline图标。
Edit Spline
图标,位于Modify工具栏的PolylineEdit 弹出栏。
响应:Select spline:
Fit Data/Close/Move Vertex/Refine/rEverse/Undo/eXit<X>:
响应与前面的编辑命令有关,它既可能是上面的内容,也可能如下面所示:
响应:Close/Move Vertex/Refine/reverse/Undo/eXit<X>:
键入:R<回车>
响应:Add control point/Elevate Order/Weight/eXit<X>
键入:E<回车>Elevate Order选项添加控制点)
响应:Enter new order<4>:
键入:9<回车>
注意一下被加入的控制点的数目。可以试着用不同的数来练习 ,但数目只能增加,不能减少。如何清理井形图 井形图就是像十字路口那样的图。有几种方示可以着手解决这个问题,但有一个方法是将FILLET置为0
有一种方法可以从交上打断各种各样的线,但是,需要的操作过多。最容易的办法是用TRIM命令。当被问及切割边时,在要清除区开一个交叉窗口并确认,一定要确保是一个交叉窗口,而不是窗口(从右上到左下打开的窗口),因为必须捕获所有四条线。当被问及要剪掉的对象时,在X
处单击。
键入:TRIM<回车>(或者选取Modify工具栏上的。)
响应:Select cutting edges:(Projmode=UCS,Edgemode=Noextend) Select objects:
用窗口围住四个交叉点,并确认。
响应:<Select object to trim>/Project/Edge/Undo:
每个标有X处选点。选完四个点后按回车键结束。如何捕捉两条线的可能的交点 可以用视觉上的交点对象捕捉(它不只是用于三维绘图中的可见交点)。如果有两条不平行的线,想要捕捉它们可能的交点,而不必使它们真正相交,首先应该用一条类似CIRCLEAutoCAD命令,然后键入APP或者从Object Sanp菜单中选择Apparent Intersection选项,再依次选择第一条线和第二条线,这样就能捕捉到它们可能的交点。 如何选择被另一个对象覆盖住的对象 这是一个老问题了。当使用三维面或者辅助线时,常常会发生将一个对象覆盖到另一个对象的上面的问题。
为了解决这个问题,可以使用对象循环法。当选择对象时,按住Ctrl
键并选择对象,这样AutoCAD就会一个一个地查找那些能够找得到的对象。例如,如果有一个盖住了一条线的三维面,那么该三维面首先成为高亮的,当按住Ctrl
键继续对象时,那条线就成为高亮的了。                                                                    多边形窗口和交叉窗口 你想开一个形状不规则的窗口或交叉窗口吗?用Select Object的选项WpolyCpoly就能做到,在SelectObject提示符下键入WPCP即可。AutoCAD先是提示选择第一个点(与窗口的第一个角点相似),然后是第二个点,随即封闭这个多边形。可以继续单击其他的点,这样就使该多边形不断地扩大。用这种方法可以建立一个恰好围住所要选择的对象的不规则多边形窗口。在画完Wpoly或Cpoly线之后,在选中各对象之前必须按回车键。这时仍然处于Select Object提示符之下。
WP
CP的唯一区别是WP与窗口的作用相同(所有对象必须完全位于窗口之内),CP与交叉窗口的作用相同(被选中对象可以在窗口之内,也可以与窗口相交)。 如何在圆上用BREAK@ 你试过把一个圆打断成两条弧吗?可以键入BREAK@看看会怎么样。正如你所见到的,AutoCAD不允许这样做。但是很多时候需要两条弧,而不是一个圆,即使两弧彼此衔接。在圆上两个点处打断它(按逆时针方向打断),两点间的弧就不见了,然后用SEC(起点、终点、圆心)再做一个弧,以代替缺掉的那段弧。                                                                    如何捕捉实际上并不存在的可见交点 在三维绘图中尤其容易产生看到似交点而实际上并不存在的交点,比如当改变视角使得线条交叉时,产生的交点实际上并不存在。要想捕捉表面上的交点,在任何AutoCAD命令之后键入APP或者从任何Object Snap菜单选择Apparent Intersection选项。把捕捉框放在表面上的交点处,AutoCAD就能捕捉到它。
AutoCAD  Release 13 的早期版本中,只有当交点是由一些规则的直线产生时,AutoCAD才能识别它们,而当交点是由拉伸或实体产生时,则不能识别它们了。
AutoCAD将来的版本中,可能会有所修正。在些期间可有一个诀窍:如果由于拉伸而捕捉不到交点,那么可以在该拉伸上画一条规则线,这样能捕捉到这个视觉上的交点。以后可以删除那条辅助线。 如何把两个弧重新连接成一个圆 假定用上述BREAK技巧把圆打断成两条弧,用这两条弧做成一个完好的圆。不要试图用PEDIT命令把它们重新连接成一个圆。虽然命令似乎也执行了,但是却不能成功,因为这不是一个圆,而是一条封闭的多义弧。
最简单的办法是计算一下圆的半径和圆心,然后擦除弧线,并重新画出该圆。                                                                    如何用控制柄选择多个基准点 在选择了对象之后,单击一个基准点。如果想要同时单击其他的基准点,可以在单击其他基准点的同时,按住Shift键。要当心只能单击基准点,否则AutoCAD将认为你要拉伸、复制所选的对象。
如果要拉伸一个矩形,应先按住Shift键。要单击三条相邻的线的基准点,然后再放开Shift
键。为了激活该选择集,再单击上述基准点之一,就可以开始拉伸了。 如何把样条曲线转换为多义样曲线 不能用拆散的方法去做,但有一个窍门:擦除图中除了样条线之外的所有对象。当被问及选择对象时,键入ALL然后键入R移去除样条曲线外的所有对象,最后确认该选择集。现在图中除了该样条曲线之外什么都没有了,键入命令SAVEASR12并给出一个图名,这样就把该样条曲线当作AutoCAD12版的对象保存起来,由于在AutoCAD 12版中根本没有样条曲线,所以该样条曲线被当作多义线对象。
键入OOPS并按Enter键,就把图中其它部分恢复出来,擦除样条曲线,键入INSERT在00点插入则才保存的文件,一定要在图名前面加一个星号(*),这样就可以保证不建立块的定义,并且该图也不会作为一个块装入。                                                                    如何利用控制柄延长对象 首先选择一个或多个想要延长的对象,这时各个控制柄就都显示出来了。选取了个控制柄。当鼠标距控制柄很近时,会捕捉到该控制柄上,一旦选中了这个控制柄,它的颜色就会改变,以示选中了一个基准点,此时已自动的处于延长方式。在时这是一种假象,因为所能延长的只不过是控制柄点的位置。如果延长的对象是一条线,并且基准点是中间点,那么只要在屏幕上另一个位置上点一下,整线条就移到新的位置上,并未延长。而如果基准点是线的端点那么在屏幕上另一个位置上点一下,该端就移动到那一个位置上了。由此可见,基准点不同,结果也不同。一般说来,如果选择了一条线的中间点、圆的圆心或者文本或块的插入点,延长方式只是将这些对象移动。 如何利用控制柄移动对象 按住Shift键再选择一个或多个想要移动的对象,控制柄就会显示出来。放开Shift键,然后选择任一个控制柄作为基准点,这时已经自动处于延长方式。在这种方式下,可以移动整个对象,但是必须以圆心或者中间点为基准点。
在移动方式里,可以用任何点作为基准点来移动对象。键入MO或者按Enter键可以进入移动方式,按空格键也可以在移动方式和延长方式之间来回切换。(从Screen菜单中选Move也可以进入移动方式。) 如何给墙类件画剖面线   假定该墙类件比简单的偏置多义线更为复杂。当墙段被门、窗或其他元素打断时,画剖面线就变得更复杂。应当在所有门窗插入后再剖面线,而试图把这些部件插入画过剖面线的区域是一个极大的错误。这样做得把剖面线打散,把剖面线区清理干净,但产生了太多的对象。而且,如果要移动门该怎么办呢?
 
首先要做的是确保所有部件都已插入,然后作一名“Outline”的新层,使用PLINE
跟踪墙区,确保停止在门或窗开始的地方,然后封闭多义线,继续作下去直到所有要画剖面线的区域全部以多义线封闭。
  当要画剖面线的区域全部封闭时,对每块区域画剖面线就变成简单的事了。剖面务必画在与轮廓层不同的层上以使其可见性容易控制。   如何使点的尺寸相对于屏幕尺寸不变     系统变量PDSIZE可用来调整点或节点的尺寸。问题是这是一个绝对尺寸,因此当在一个区域放大时,点的尺寸也增加。
  
下面的方法可使点的尺寸相对于屏幕尺寸不变,不管缩放系数如何。当键入PDSIZE时取负值。这样作后,再作缩放时点的尺寸就不改变了。也可以通过键入DDPTYPE设定点的尺寸为屏幕尺寸的百分数,在Point Style对话框中显示。 如何封闭不同时间画的一条列线段    常常需要将一组直线和曲线封闭起的对象。最方便的方法是用PEDIT编辑其中一个线段并把它转换成多义线,然后键入JOIN命令,再用窗口选择所有对象,最后键入CLOSE命令,AutoCAD将定出所有对象两端的位置,画一条多义线把它们连接起来,此时这组对象就变成了一单个的封闭多义线。                                                                     如何画椭圆弧   任何圆弧都是圆的一部分。正象没有ARC命令可以通过打断或剪裁圆建立弧一样。可通过打断或剪裁椭圆建立椭圆弧。
 
先建立一个椭圆 。再打断它。在哪打断或剪裁决定了弧的大小。BREAK并不象想象的那样工作,如果打断后方向不对,试着在要打断的椭圆上每端画一辅助线,然后使用TRIM

  
椭圆实际上是一系列多义弧。当打断、剪裁或打散椭圆时,已将它变成了组件。在打断以后,还应该用PEDIT命令把弧起来,以便真正形成一个椭圆弧。   如保控制多线的始端头 键入MLSTYLE或选择Multiline Style图标。从Multiline Style对话框中选择要改变的样式。选取MultilineProperties…。这时出现对话框。在Caps下,选中复选框,就可在线的始末端加上端头标记。可在两条外侧线段或内部线段上放置弧。还可以显示连接,即当线的拐角被旋转时放置的线。线可以被填充,并给定颜色。
    Multiline Style
图标,位于ObjectProperties工具栏。 LINE长度的新用途PLINELength子命令不常使用,因为它只是从一已知点,按照与上一条线或多义线相同的方向和角度画出多义线。长度除了精确地延长一条线就没有更多的用处了。但稍加考虑,就可得到更多的用途。
  
要使一些点相对于图上的另一些点定位,可以使用相对坐标命令或重新定义UCS两种方法。但这两种方法通常都不方便,特别是如果线的角度。
  请看一个实际的例子。假设一系列线或多义线已经画完。注意多义线的方向。现在的目标是将一点定位在上一点前的3个单位处。通常需要在此关闭当前的线,重新开始画另一条线或ID这一点以使它相对另一点定位。
  这是件很麻烦的事,但使用PLINELength子命令就比较简单。
键入:PLINE<回车>
响应:From point:
  
选取上一点。
响应:Arc/Close/Halfwidth/Length/Undo/Width/<Endpointof line>:
键入:L<回车>
 
响应:Length of line:
键入:-3<回车>(也可以键入其他正负值。正值时线将延长,负值时线沿着多义线缩回。)现在线的终端从上一条线回3个单位。可经使用相对坐的ID,并关闭新多义结终端。 文本与剖面线组合   如果需要把文本或其它物体放在剖面线模式内,则务必先给文本留出地方。在要画剖面线的物体中画一个长方形,然后键入文本并擦除长方形边框。
 
这一方法可以给出围绕文本的空白区域形状和大小的总体控制。如果先键入文本再画剖面线。AutoCAD便可以控制空白区域。在键入多行文本时该方法特别有用。
  层块处理技巧                                                                    如何取消层 取消层并不容易,不是一条命令所能及的。首先应明确要作的事情:不显示某层?消除层上的所有对象?要删除整个层,以后如果再需要用,就得重建?
让我们一项项来讨论。如果只是不想显示该层,用LAYER命令的FREEZEOFF
子命令即可。或者,可以在层的下拉式列表框(在Object Properties工具栏)中单击箭头,使该层呈现太阳图标。
1)如果要删除层上的对象,按下列过程操作。首先,转到删除的层上,之后冻结所有其他的层。也可以激活如图4-2所示的Layer Control对话框,单击Select All,再单击Frz
键入:LAYER <回车>
响应:?/Make/Set/New/ON/OFF/Color/Ltype/Freeze/Thaw:
键入:FREEZE<回车>
响应:Layer name (s)to freeze:
键入:*<回车>
键入:<回车>(结束LAYER命令)
键入"*",表示冻结图中的所有层,而AutoCAD不允许冻结当前层,这就是在命令开始前首先转到该层的用意。
2)现在用ERASE命令,围绕屏幕上的所有对象开一个交叉窗。如果不能看到所有的对象,用ZOOM功能的.5因子,将图中所有对象置于屏幕中央。这时删除就非常容易。用ZOOM Previous命令可以回到原来的地方,最后一步是解冻那些冻结的层。
键入:LAYER<回车>
响应:?/Make/Set/New/ON/OFF/Color/Ltype/Freeze/Thaw:
键入:T<回车>
响应:Layer name (s)to Thaw :
键入:*<回车>
键入:<回车>(结束LAYER命令)
第三种可能是要完全删除层。首先要按上述过程删除层上所有的对象。(3)用户可以用PURGE命令清除未用的层,其中的一个选项便是Layers。它依次进入没有对象的层,并询问用户是否将它删除。回答Y,就会删除该层。如何使线型正确显示 有时线型明明是虚线,却显示为连续线,很让人感到迷惑。造成这种现象可能有几种原因。可能由于VIEWRES影响了比例(通过图的重新生成可消除),或是LTSCALE设置有错。或是两个原因均有。
LTSCALE
控制着线型的比例。比例增加,则屏幕上和最终绘图输出时的线或点间的物理距离增加。PSLTSCALE是一个系统变量,如果设有0
,允许总体的LTSCALE对等控制各个尊宝娱乐空间视窗。如果PSLTSCALE设为1,则不管用户是否使用缩放视图,尊宝娱乐空间视窗将正确反映线型比例。                                                                预设置原型图中的层 当用户开发自已使用AutoCAD的方法时,会将此技巧作为自已的标准操作过程。例如,用户可能发现自已总是使用22个标准层,其中设置了特定的颜色和线型,可经将这些层放在一个原型图中,如ACAD.DWG,这样无论如何开始一幅新图,这些项都会设置好,以备使用。                                                                透明层 无论何时定义块,它都会永久保持创建时所在层的特性。如果块中的对象在多个层上,将保持原始层的颜色及线型。这一点很有用---无论何时插入块,它都具有生成该块的层的颜色和线型。
但有时,希望插入的块的特性与被插入层一样,这也可能。
0层是透明层,这意味着,在0层创建的块不带有层的特性,而是与插入所在的层的特性相同。
如何将属性作为块的一部分 属性通常应该是块的一部分,因为它就是在块插入时才取得数值。在创建块时,请同时创建属性。当使一项成为块时,确认它包含了属性标签。
如果某块已经存在,并且需要为它赋加属性,首先应在图中的任何部位插入它,解体此块,使用ATTDEF命令来创建属性。然后重新组成此块并回答Y
来应答是否要重新定义此块。
请注意一点:只有重新定义块才会有属性。如何在平行线间插入对象 这可能会很复杂,按如下过程去做:
1.
确定平行线间的距离。
2.
在第一条平行线上插入对象,旋转此对象与平行线的角度相同。
3.
REFERENCE来缩放此对象的尺寸,以平行线的距离来作为对象新的距离。
此过程假定用户不知道所插入对象的实际尺寸。如果已知其尺寸,也就能同时进行缩放。
                                                                完成COLORLINETYPE命令后将其恢复为BYLAYER状态 如果在使用了COLORLINETYPE命令之后没有恢复为BYLAYER状态,那么有时会令人迷惑。当下次操作时,本希望该层为某种颜色,而它却是上次的颜色设置。在完成COLORLINETYPE命令后将其恢复为BYLAYER,就可避免发生如此的问题。恢复一幅坏图 有时调入一幅很久不使用的图,当图再现时,会出现致命的错误。出现此种情况后,AutoCAD退出,对此图将一无所获,有时甚至是不能恢复的。
别慌,还有一个机会。(如果下面的方法不起作用,就真该慌了!)
创建一个新的空图,使边界及单位与要调入的图相同。然后在00点处使插入的问题的图。这样常常能挽救破坏了的图形文件。
标签排列 只要依次逐行加入属性,排列它们是容易的,当询问开始点时,按回车键就可以继续下一行。但问题出在当做完了另一个块的属性,却想回到第一块增加些新属性的时候,如何自动排列标签?
首先,确认最后一个属性文本的插入点,接着键入DTEXT。若询问新的开始点时,键入@
,回车,继续按回车,直到出现提示符Text,再随意键入一些字符。
接着,对假文本的插入点执行ID命令。然后键入ERASE命令和L子选项,删除假定文本。
最后,使用ATTDEF。当询问开始点时,键入@,按回车,这样文本将出现在正确的位置。单位块 有时将块的尺寸创建一个单位,而在插入时再确定其比例。采用这种方法就无需创建各种可能尺寸的块,其缺点是若XY比例因子不同,则以后无法拆散比块。如果需要许多不同尺寸的块,可以考虑写出一个AutoCAD程度使它参数化,即先询问对象的尺寸并据此创建该对象。                                     文本及注释技巧如何将文本限定在一定范围内   有两种方法可以保证将文本限定在定义的范围内:使用AlignFit选项。但应清楚它们之间的区别。
使用Align时,会被问及开始点和结束点。AutoCAD会通过整文本的高度将文本强制在定义范围内。显然,定义范围内的文本越多就会越小。
使用Fit时,同样会被问及开始点和结束点。AutoCAD会通过调整字符的宽度将文本强制在定义范围内,而字符的高度不变。因此,定义范围内的文本越多,看起来就越拥挤。
键入: DTEXT<回车> (或者从Draw工具栏中选取)
响应:Justify/Style/<Start point>:
键入:A<回车>
响应:Start point
选取开始点。
响应:End point
选取结束点。
响应: Text
键入文本。它会变小,被限制在两点之间,其高度会被调整。        如何垂直书写文本 这是文本样式的属性之一。当问到此问题时,回答“Y”
Data下拉菜单中选择Text Style
键入:STYLE<回车>
响应:Text style name (or?):
键入:R25<回车>(这是样式名。)
响应:New style:
Font file:
屏幕上出现文件对话框。可以选取需要的字体文件并继续,或者单击Type it按钮,从命令行键入文本文件名。
键入:ROMANT<回车>(这是AutoCAD字体名。)
响应:Height:
键入:<回车>
响应:Width factor:
键入:<回车>
响应:Obliquing angle:
键入:<回车>
响应:Backwards?
键入:<回车>
响应:Upside-down
键入:<回车>
响应:Vertical?
键入:Y<回车>
响应:R25 is now the current text style如何测量曲线围成的区域或不规则区域的面积  曲线区域是个特殊的挑战。可以沿曲线用Object Snap选择多个点,但这样做得到的结果不够精确。
另一个方法是,如果要测量的区域完全被单个对象包围,则可以选择取AREA命令的Object
选项。
如果该区域不是单个对象,那么最好用PEDIT命令将它变成一个对象。当指向图中的单线时,AutoCAD会提示用户它不是多义线,并询问是否应将它变为多义线。回答Y,然后用Join子命令将它与其他对象连接起来,创建单个对象。完成后,就可以使用AREA命令的Object选项。
当该区域被确认后,可以使用EXPLODE命令将这些对象拆散回原来的状态。
另一个方法是使用REGION命令选取各个对象,它们将会变成一个对象。其它步骤与多义线连接方法相同。最后也可以用EXPLODE命令将该区域拆散回原来状态。
键入:AREA<回车>(或者从Object Properties工具栏中选择。)
响应:<First point>/Object/Add/Subtract:
键入:0<回车>
响应:Select circle or polyline:
选择相连的多义线或区域。然后AutoCAD会给出该区域的面积。如何给文本加下划线或作标记   在要加下划线或作标记的文本的前后插入以下符号,这些符号将镶嵌在文本行中。
%%u   下划线开或关
%%o   上划线开或关
例如: This word is underlined
应按以下方式键入:
This
%%uword%%u is underline如何完全改变文本字体    所有的文本字体都是通近STYLE控制,因此,如果用户希望改变文本字体就必须改变文本样式,这可以通过CHANGEPoint命令完成。如果选取的对象是文本,其中一个选项就是style
但是,如果要用CHANGE命令修改大量的文本,就比较困难,因为常常会选中其他类型的对象,而造成灾难性的后果。如果改变样式的定义,图中同一样式的所有文本的字体都会改变。因此只有当需要改变所有文本时才能使用此方法。                                                                     如何控制文本行的间距        AutoCAD的问题之一是TEXT命令在生成下一文本行时,采用自已的算法来决定行距。用户可能希望将行距作为一个变量进行设置,但这样做很困难---必须在每次键入下一行文体时给出坐标,如@I<270。参见程序LISP76,它才可以设置行距。 注意多行文本框的开始点     多行文本框的开始点是十分重要的,因为这决定了文本的插入点。如果该框是从左上角到右下角,文本就会由上至下。如果该框是从左下角到右上角,文本会从左下角开始,仍然由上至下,这样就会在边界框之外。它将只利用边界的形状来决定是否需要分行。因此,如果对齐方式为Top Left,又希望文本处于边界框之内,那么选取文本框时最好从左上角到右下角。                                                                          如何迭起小数     首先进入MTEXT命令,或者Draw工具栏中选取Multline Text图标。
Multline Text
图标位于Draw工具栏。
选取两点,绘制一个文本框围住要放置文本的位置,然后键入文本。确保文本中含有普通的小数,如4/5。键入完毕后,加亮要迭起的小数。加亮时按住鼠标左键并沿文本拖动,然后选取Stack
如何迭起文本      首先进入MTEXT命令,或者Draw工具栏中选取Multline Text图标。
Multline Text
图标位于Draw工具栏。
选取两点,绘制一个文本框围住要放置文本的位置,然后键入文本,用^(按键盘上的Shift+6)分隔两项就会得到迭起的文本。例如,。72^.75。键入完毕后,加亮要迭起的文本。加亮时,按住鼠标左键并沿文本拖动,然后选取Stack。如何给自定义的词典添加单词    首先应建立一个词典。在AutoCAD中这可以通过拼定检查程序完成。
Spell
图标,位于Standard工具栏。
选取对话框中的Change Dictionaries…。然后键入要生成的字典的名字,其中应包含路径。确保文件名后缀为.CUS,
它将成为活动的自定义词典,现在可以向其中添加单词,即当建议框中标出的单词的格式正确时,单击Add按钮。     三维状态下的尺寸标注   在三维状态下标注时必须特别小心。否则,虽然尺寸看起来很好,但实际上是错的---至少不是线段的绝对长度。ACAD有时会给出线段的表面长度。
若要得到线段的绝对长度,用户的UCS必须平行于对象。为了确保这一点,进入UCS命令和Object子命令。其中唯一的一个小问题是:标注文本的方向可能不正确。如果遇到这种情况,进入UCS命令和Y子命令,然后旋转UCS直到书写文本的方向为X轴正方向。 如何使文本从已输入的文本的正下方开始   遇到的问题是文本的最后一点控制着下一行文本的位置,如果想改变这一点,则先用ID命令给出希望的文本插入点的坐标,然后再进入DTEXT。当ACAD询问开始点时,键入@并连续按回车键,直到出现提示Text。这样文本就会成行显示。 如何安全地改变相关尺寸中的文本  如果使用普通的命令修改相关尺寸中的文本,几乎不可能不破坏相关尺寸本身。用户可以先拆散尺寸然后修改文本,但接下来就无法恢复相关尺寸特性了。
利用DLM命令的选项Newtext可以修改尺寸的文本而不改变其他特性。如果拉伸或移动对象,尺寸会跟着移动,但文本保持不变。如果想把相关尺寸改回正常状态(进行相关计算),则再次使用Newtext
命令,当要求新文本时,按回车键。尺寸标注文本会自动变为尺寸的当前值。改变文本在尺寸线上的位置对于某些小尺寸的标注,经常会由于位置空间不够,导致尺寸文本标注在距离尺寸线较远的其它地方,使尊宝娱乐显得比较杂乱;对于上下偏差不同的公差尺寸标注,由于公差的名义尺寸一般不能和公差同时标注出来,公差的名义尺寸文本都在尺寸线的中间部分,加入上下偏差文本后容易造成整个文本不在尺寸线中心或干脆一边跑到了尺寸线外。R12版本以前只有通过在输入文本时在文本后加空格来改变文本在尺寸线上的位置,在R13版本以后提供了 Dimtedit命令,可以随意拉动名义尺寸文本放到任意位置,解决了上面的问题。 R14版本的Dimtedit 命令可以通过点击Dimension工具条的Dimension Text Edit按钮来实现,也可以通过Dimension下拉菜单的Align Text命令来实现。                                                                     杂议AutoCAD应用技巧44例  1.在AutoCAD中有时有交叉点标记在鼠标点击处产生,用BLIPMODE命 令,在提示行下输入OFF可消除它。2.有的用户使用AutoCAD时会发现命令中的对话框会变成提示行,如 打印命令,控制它的是系统变量CMDDIA,关掉它就行了。 3.椭圆命令生成的椭圆是以多义线还是以椭圆为实体是由系统变量 PELLIPSE决定,当其为1时,生成的椭圆是PLINE4CMDECHO变量决定了命令行回显是否产生,其在程序执行中应设为05DIMSCALE决定了尺寸标注的比例,其值为整数,缺省为1,在图形 有了一定比例缩放时应最好将其改为缩放比例。6BREAK将实体两点截开,在选取第二点时如用“@”来回答,可由 第一点将实体分开。7CAD的较高版本中提供了形位公差标注,但圆度及同轴度中的圆不够圆,其实,AutoCAD中常见符号定义都在AutoCAD安装目录下 SUPPORT子目录下的gdt.shp文件中,其中2号和4号字符定义了圆形的 形状,圆的弧度竟为127°,但不太好改正之(如改为90°更不好看)。8.空心汉字字形如使用AutoCAD R14中的BONUS功能(一定要完全安 装AutoCAD,或自定义安装时选了它),有一个TXTEXP命令,可将文 本炸为线,对做立体字十分有用。9AutoCADR14BONUS中有一个ARCTEXT命令,可实现弧形文本输出,使用方法为先选圆弧,再输入文本内容,按OK 10BONUS中还有一个有用的命令,即MPEDIT,用它将多个线一齐修 改为多义线,再改它的线宽。11image命令在R14中代替了R13中的BMPINPCXIN之类命令,它将 位图嵌入文件中,只用来显示,如炸开就成了空框架,如何使PCXIN等命令重现?请将R13安装目录下的RASTERIN.EXE拷入R14下,用 appload将其装入,然后就可以将位图导入(可编缉,可炸开)了。12BREAK命令用来打断实体,用户也可以一点断开实体,用法是在第一点选择后,输入“@”。常用一条线一段为点划线,另一段为实 线时。 13AutoCADR14中提供了大量的命令缩写,许多R13中无缩写的命令 也有了缩写,如:A:ARC, B:Bmake, C:Circle, Z:zoo,可大量使用 之,使用后会发现比鼠标点取快(尤其在1s5个字符的速度 下)。AutoCADR14大量扩充了简化命令,不仅增加了以首字母简化 的命令(这里不列出),而且增加了用前两个字母简化的命令,常用 的如:array、copydistdonut、dtextfiltermirror、 plinerotatetrim、scalesnapstyle、units等,更加提高了 用键盘输入命令的速度,对熟悉键盘的朋友来说简直是如虎添翼。14AutoCADR14的命令缩写也可用在R13,方法是将AutoCAD R14 Support子目录下的ACAD.pgp拷贝至AutoCAD R13Support子目录 下。15AutoCADACAD.pgp文件十分重要,它记录命令缩写内容,用户 可自定义它们,格式如下:<命令缩写> *命令名称。也可定义系统命 令,AutoCAD R14提供了sh命令,可执行DOS命令,但在Windows下作用不大。16.AutoCAD R14中用NOTEPADEDITDIRDEL等系统命令,笔者认 为其中NOTEPAD对自定义CAD用途较大,但使用起来会发现屏幕一闪 (进了DOS),又返回,十分让人不愉快,让我们来编一个小程序,取 名为note.lsp: (defun c:notepad() (startapp"notepad") ) 先将ACAD.pgp中的NOTEPAD命令定义行删除,重入CAD后,再将此程序 用命令:(load "note")装入,下一次用NOTEPAD命令会有更好效果,最好将(load "note")加入Support子目录下的ACADR14.lsp 中。17AutoCADR14中打印线宽可由颜色设定,这样机械制图中的各种 线型不同、线宽不同的线条可放入不同的层,在层中定义了线型和颜 色,而在打印设置中设定线型与颜色的关系,效果良好。 18AutoCADR14SupportACAD.dwt为缺省模板,要好好加工它,把常用的层、块、标注类型定义好,再加上标准图框,可省去大量重 复工作。 19AutoCAD中有不少外部Lisp命令文件,可以直接观察它们,如果 学习开发Lisp应用程序,注意:R14可是最后一版Lisp文件内容公开 的AUTOCAD,在CAD2000Lisp文件内容是加密的(笔者正在研究解密程序)。20AutoCAD二次开发工具很多,Lisp早就有了,R11提供了ADS Acad Develop system),R12中提供了ADS对实模式下C编译器(如 BCMS C)的支持,R13提供ARX(AcadRuntime eXtend),R14提供了 VB Automation,这个Automation使VB编写CAD程序成为可能,渴望 CAD编程的人有了一个最好的选择,不必学习ADSARX、Object ARX,和AutoLisp,一起加入AutoCAD编程的世界。21.用户自定义的Lisp文件一定要自动装入AutoCAD,这样就需要在 acadr14.lsp中加入用户Lisp文件的装入语句,acadr14.lsp(早期版 本为acad.lsp),好似DOS的Autoexec.bat,一定要好好利用,在其 中如定义了名为S::STARTUP()的函数可自动运行它(给CAD加个 启用画面如何,可用STARTUPstartapp函数,也可加登录密码)。22.将AutoCAD中的图形插入WORD中,有时会发现圆变成了正多边 形,用一下VIEWRES命令,将它设得大一些,可改变图形质量。 23.形如?30H11( )的标注如何去标注呢,请在文本内容中输入“%% c30{H11(}{H0.7x;S+0.1^-0.2;})”,可以实现,如嫌太麻烦,就 编个程序来简化操作。 24AutoCAD中文件可当作块插入其他文件中,但这样一来过多的块使文件过于庞大,用PURGE来清除它们吧,一次清一层,一定要多用 几次呀!25AutoCADR14的帮助文件内容十分丰富,由很多本组成,一层层打开,多看它们用处是很大的,其中包括了CAD的各方面,比 任何CAD大全还全,你是否想您的帮助加入其中,请修改acad.cnt, 加入自己帮助的链接。26.在CAD中可按规定编定.ahpCAD帮助文件,在R14下用 ahp2hlp.exe将其转变为.hpj的文件和 .rtf的文件,再用HelpWorkshop工具(在VC5中有)将其项目打开,编译为.hlp文件。27.在AutoCAD中有一些DOS下的exe文件在R14中仍有用途,用 Slidelib.exe可将幻灯片作库,mc.exe可实现菜单的编译。 28.在作完零件图进行组装时,可将零件图块插入后焊开,再用 group成组后组装,这时用ddselect命令控制组选取处于何种状态,取消组选取时可将组内成员删除、剪切、修改,要移动零件时再打开 组状态。29.在AutoCAD中的菜单源文件为.mnu文件,将其修改可将自己的命 令加入菜单中,再用menu命令装入,可参加AutoCAD帮助了解菜单文 件格式。图标工具条中加入自己的命令相对简单,可在工具条上点右键,在toolbar对话中,点new按钮,输入工具条后,一个新工具条产生,再选Customize按钮,选定custom,将空按钮拖入工具条中,再在空按钮上按右键,这样就可定义自己的按钮图标和命令。30AutoCAD的状态行也可自定义,用DIESEL语言可以访问它,最简 单的方法用modemacro命令,后输入$(getvar,clayer),以后当前层 名就显示在状态行上,用户化可谓无孔不入吧!31AutoCAD的图形格式为.dwg,也可导出为.bmp.wmf .eps.dxf.3ds,如果用render命令可存为.pcx.tga.tif格 式,AutoCAD还可将文件直接存为这几种格式,要为系统装一个名为 “Raster file export”的打印机,用它打印到文件,ACAD2000还可将文件存为JPG格式。 32render进行着色时,render无关闭按钮,用户可用:(arxunload "render"),因为它是ARX文件扩展的功能。33dimzin系统变量最好要设定为8,这时尺寸标注中的缺省值不会 带几个尾零,用户直接接受缺省值十分方便快捷。34.如遇到快捷键失效,如^o失去作用,变为正交模式切换的情况, 请用menu将当前使用菜单的.mnu菜单源文件重装一遍即可。35.在多行文字(mtext)命令中使用Word97编辑文本。 Mtext多行 文字编辑器是AutoCAD R14中的新增功能,它提供了Windows文字处理 软件所具备的界面和工作方式,它甚至可以利用Word97的强大功能编辑文本,这一功能可以用如下方法实现: 打开“Tools”菜单选“Preferences”命令,“Preferences”对话 框弹出后,打开“Files/TextEditorDictionaryand Font FileName/Text Editor Application/Internal”,双击“Internal”,出现“Select a file”对话框,接着找到“Winword.exe”应用程序文件,击打开钮,最后单击“OK”返回。完成以上设置后,用户如再使用mtext命令时系统将自动调用我们熟悉的Word97应用程序,为AutoCAD中的文本锦上添花。36.巧用工具按钮自定义。AutoCAD中有许多lsp文件能为我们提供非 常实用的命令,如chtext.lsp就是一个很好的文字修改命令,尤其适 用于大批文字的修改,但在使用这样的命令之前必须先把lsp文件载 入。一般你可以通过选取“Tools”菜单中“Load Application ...” 选项,再利用对话框打开AutoCADR14/Support下的Chtext.lsp文 件,然后击“Load”钮,或者也可以直接在命令行中键入load“chtext”以达到载入的目的,如此做总有些繁琐。下面我们 用自定义工具按钮的方式解决这个问题,右击任意工具钮,弹出 “Toolbars”对话框,击“Customize...”钮,在“Categories:中选“Custom”项,将出现的空按钮拖到工具条中目标位置,击 “Close”钮返回,接着右击空按钮,出现“Button Properties”对话框,在“Name栏中为命令钮命名,“Help:栏中你可写入或 不写入内容,然后在“Macro:中键入load “chtext”) cht”,至于“Button Icon",用户可选系统提供的图标,也可以点“Edit...”自行绘制或者直接调用已有的bmp文件,最后点“Apply”钮并依次关闭对话框返回。这样你自己的工作按钮就做成 了。由于在后面增加了“cht”(注意:前面要有空格),所以你只要按下工具钮便可以直接去选择要编辑的目标文件。37.“Stretch”命令也是一个常用命令,但输入命令后,系统总要提示“select object to stretch by crossing_window or crossing_polygon...”,要求你再输入一个“C”后才能用鼠标去选 择目标。为了使操作简化,用户只需将系统提供的工具按钮做些小小 的修改即可。右击任意工具按钮弹出“Toolbars”对话框,再右击 “stretch”工具钮弹出“Button Proporties”对话框,在 “Macro”框中的“^c^c_stretch”后键入空格和“C”。以后你再 点击处理后的工具钮就可以直接选择目标进行操作。38AutoCADR14用户通常均采用系统给出的缺省格式存盘,这种格 式存盘的缺点是文件所占空间大,不能用低版本的应用程序(如:AutoCAD R12AutoCAD R13)打开,为避免磁盘空间的浪费,你可以 在“Save Drawing As”对话框的保存类型中选“AutoCAD R12 /LT2 Drawing”格式存盘。例如:同一dwg文件用两种方式存盘,它 们的大小分别是87KB58KB。可见差别还是很可观的。而且后者文件 可以在R12R13版本的应用程序中打开。这种方法对配置较低的用户 尤为实用。39.有时在打开dwg文件时,系统弹出“AutoCAD Message”对话框提 示“Drawing file is not valid”,告诉用户文件不能打开。这种 情况下你可以先退出打开操作,然后打开“File”菜单,选 “Drawing Utilities/Recover”命令,或者在命令行直接用键盘输入“recover”,接着在“Select File” 对话框中输入要恢复的文件,确认后系统开始执行恢复文件操作。40.汉化菜单。将support目录下的acad.mnu文件复制为 chinese.mnu。用写字板打开chinese.mnu。仔细观察会发现其中有许多类似***POP”的条目,每一条目定义了一列下拉菜单。将引号中的英文命令名称改为中文,存盘退出。再在R14中输入“menu” 命令,将chinese.mnu菜单文件装入,下拉菜单就变成了中文。还可 以再装入acad.mnu文件将菜单还原。   41R14默认的命令取消键是“ESC”键,如果你已经习惯了R12 “CtrlC”怎么办呢?点击菜单Tools preferences compatibility priority for acceleratorkeysautoCAD classic,然后就可以用“CtrlC”取消命令了,同时“ESC”键仍 然有效。 42trim命令中提示选取要剪切的图形时,不支持常用的window crossing选取方式。当要剪切多条线段时,要选取多次才能完成。这时可以使用fence选取方式。当trim命令提示选择要剪除的图形时,输入“f”,然后在屏幕上画出一条虚线,回车,这时被该虚线接触到 的图形全部被剪切掉。 43.单击“Object Propertys”工具条上的“Make objects' layercurrent”按钮,然后在作图区选择要去的图层上的任一图形,当前 层立刻变换到选取的图形所在层。44.R14打开R12的文件时,即使正确地选择了汉字字形文件,还是 会出现汉字乱码,原因是R14R12采用的代码页不同。可到AutoDesk公司主页下载代码页转换工具wnewcp。运行wnewcp 后,首先选中 “R11/R12”复选框,再单击“Browse”按钮,选择要转换的文件或目录,然后选择新的代码页,ANSI936utf-8均可,单击“Start Conversion”即开始转换。转换后,在R14中就能正确地显示汉字。
尊宝娱乐